*############################################################################# .
* Transform variables to be used in logistic regression modeling .
*############################################################################# .

COMPUTE today = DATE.DMY(MOD(TODAY,100),MOD(TRUNC(TODAY/100),100),TRUNC(TODAY/10000)).
FORMATS today(DATE11).
VARIABLE WIDTH today(11).

RECODE AGE(MISSING=0).
RECODE BOOKBUY(MISSING=0).
RECODE CCARD(''='0').
RECODE CLCTWK(MISSING=0).
RECODE CLUBCD(MISSING=0).
RECODE COLCOINS(MISSING=0).
RECODE COLCS(MISSING=0).
RECODE COLMISC(MISSING=0).
RECODE DUTYPE(''='0').
RECODE LCOLLECT(MISSING=0).
RECODE LEBUYER(MISSING=0).
RECODE LMOB(MISSING=0).
RECODE MBOOK(MISSING=0).
RECODE MCCOLLCT(''='0').
RECODE MGENGIFT(MISSING=0).
RECODE SEX(''='0').

COMPUTE AGE_1 = 0.
COMPUTE AGE_2 = 0.
IF AGE GT 0 AND AGE LE 33.458647 AGE_1 = 1.
IF AGE GT 33.458647 AND AGE LE 46.323742 AGE_2 = 1.

COMPUTE BOOKBUY_1 = 0.
IF BOOKBUY EQ 1 BOOKBUY_1 = 1.

COMPUTE CCARD_Y = 0.
IF CCARD eq "Y" CCARD_Y = 1.

COMPUTE CLCTWK_1 = 0.
COMPUTE CLCTWK_2 = 0.
COMPUTE CLCTWK_3 = 0.
IF CLCTWK GT 0 AND CLCTWK LE 32.983373 CLCTWK_1 = 1.
IF CLCTWK GT 32.983373 AND CLCTWK LE 85.472779 CLCTWK_2 = 1.
IF CLCTWK GT 85.472779 AND CLCTWK LE 142.159544 CLCTWK_3 = 1.

COMPUTE CLUBCD_1 = 0.
IF CLUBCD GT 0 AND CLUBCD LE 2.600000 CLUBCD_1 = 1.

COMPUTE COLCOINS_1 = 0.
COMPUTE COLCOINS_2 = 0.
COMPUTE COLCOINS_3 = 0.
IF COLCOINS GT 0 AND COLCOINS LE 1.913669 COLCOINS_1 = 1.
IF COLCOINS GT 1.913669 AND COLCOINS LE 23.888889 COLCOINS_2 = 1.
IF COLCOINS GT 23.888889 COLCOINS_3 = 1.

COMPUTE COLCS_1 = 0.
COMPUTE COLCS_2 = 0.
IF COLCS GT 0 AND COLCS LE 2.153333 COLCS_1 = 1.
IF COLCS GT 2.153333 AND COLCS LE 34.800000 COLCS_2 = 1.

COMPUTE COLMISC_NZ = 0.
IF COLMISC NE 0 COLMISC_NZ = 1.

COMPUTE DUTYPE_B = 0.
IF DUTYPE eq "B" DUTYPE_B = 1.

COMPUTE LCOLLECT_1 = 0.
IF LCOLLECT EQ 1 LCOLLECT_1 = 1.

COMPUTE LEBUYER_1 = 0.
IF LEBUYER EQ 1 LEBUYER_1 = 1.

COMPUTE LMOB_1 = 0.
IF LMOB EQ 1 LMOB_1 = 1.

COMPUTE MBOOK_1 = 0.
IF MBOOK EQ 1 MBOOK_1 = 1.

COMPUTE MCCOLLCT_H = 0.
IF MCCOLLCT eq "H" MCCOLLCT_H = 1.

COMPUTE MGENGIFT_1 = 0.
IF MGENGIFT EQ 1 MGENGIFT_1 = 1.

COMPUTE SEX_M = 0.
IF SEX eq "M" SEX_M = 1.

EXECUTE.
